Managed Service for MongoDB API, REST: Cluster.GetShard
Статья создана
Обновлена 7 октября 2026 г.
Returns the specified shard.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/shards/{shardName}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the StoreDoc cluster that the shard belongs to. The maximum string length in characters is 50. |
|
shardName |
string Required field. Name of the StoreDoc shard to return. The maximum string length in characters is 63. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"name": "string",
"clusterId": "string",
"isHa": "boolean"
}
|
Field |
Description |
|
name |
string Name of the shard. |
|
clusterId |
string ID of the cluster that the shard belongs to. |
|
isHa |
boolean Indicates whether the shard topology is highly available as defined by the Yandex Cloud SLA for managed databases. |